Package Details: cndrvcups-lb 3.70-1

Git Clone URL: https://aur.archlinux.org/cndrvcups-lb.git (read-only)
Package Base: cndrvcups-lb
Description: CUPS Canon UFR II LIPSLX CARPS2 printer driver for LBP iR MF ImageCLASS ImageRUNNER Laser Shot i-SENSYS ImagePRESS ADVANCE printers and copiers
Upstream URL: https://www.canon-europe.com/support/products/imagerunner/imagerunner-1730i.aspx
Keywords: Canon Printer
Licenses: custom
Conflicts: cndrvcups-lb-cpca
Submitter: Lone_Wolf
Maintainer: severach (Lone_Wolf)
Last Packager: severach
Votes: 78
Popularity: 0.012754
First Submitted: 2012-04-22 13:50
Last Updated: 2019-02-18 09:06

Dependencies (10)

Required by (0)

Sources (3)

Pinned Comments

Lone_Wolf commented on 2016-02-24 20:33

i'm not surprised pacaur (and likely any aur helper) has problems building this.

The reason for the versioned dependency on cndrvcups-common-lb is that a cndrvcups-lb version ONLY works with 1 specific cndrvcups-common-lb version .

The correct way to build them goes like this :

build new cndrvcups-common-lb
remove old cndrvcups-lb version (if present on system)
install new cndrcups-common-lb
build & install new cndrvcups-lb version

Easiest way to build this with pacaur : use 2 commands like this :
pacaur -S cndrvcups-common-lb
pacaur -S cndrvcups-lb

Latest Comments

« First ‹ Previous ... 3 4 5 6 7 8 9 10 11 12 13 ... Next › Last »

jaro3 commented on 2014-11-25 09:52

When I recompiled with the Japanese sources, the monochrome model LBP3410 works fine but I cannot get the color model LBP7600C to work. It only prints some message about TIFF error. I even modified the source to point to the correct 32bit libraries in Arch:

i.e. in
linux-lipslx-sources-v290/Sources/cndrvcups-lb-2.90/cndrvcups-lb.spec
linux-lipslx-sources-v290/Sources/cndrvcups-common-2.90/cndrvcups-common.spec

modify to
%ifarch x86_64
%define libs32 /usr/lib32
%define locallibs /usr/local/lib

The Jap. sources are downloadable from HERE:

http://gdlp01.c-wss.com/gds/0/0100004160/08/linux-lipslx-sources-v290.tar.gz

In the past this worked flawlessly for the older LBP5400 color model. I don't know what is so special about the model LBP7600C. The site fully supports other Linux distrib such as Debian. When I tried the compile the binary version according to cndrvcups-lb-bin it also fails :-(
http://gdlp01.c-wss.com/gds/9/0100004159/08/linux-lipslx-printerdriver64-v290.tar.gz

jwmm commented on 2014-11-05 06:15

I had the problem, described by xmachina47x and pngaudioguy with a MF5940dn on x86_64. Installing the binary packages didn't work in my case. Installing the canon cQue driver (canon-cque on aur) was the only solution (pxl and pcl drivers)

Lone_Wolf commented on 2014-10-22 19:02

good catch, Chais.
new version uploaded

Chais commented on 2014-10-22 18:13

You're currently trying to overwrite /usr/bin with a file. Luckily it fails. The line should be
mkdir -p "${pkgdir}"/usr/{bin,share/{caepcm,cnpkbidi,ufr2filter}}

Lone_Wolf commented on 2014-10-20 22:57

I've looked again at this package, noticed that the cpca module part was build with different flags then the others and split that part to a separate package.

cle1109 commented on 2014-10-20 12:18

Same problem here, I also used to get sheets of paper with the message "**** Unable to open the initial device, quitting." with this package. I tried it with cndrvcups-lb-bin and everything works! I guess there is still some unresolved dependency on a 32bit lib.

Lone_Wolf commented on 2014-08-29 12:10

Giggaflop ,

thanks for actively checking if there is a newer version of this driver.

However, look at the release date of the 2.10 version : june 2010 .

Canon appears to increase the version number with 10 on every release, so next version will likely be 2.100 , not 2.10 .

Giggaflop commented on 2014-08-29 10:50

2.10 released: http://software.canon-europe.com/software/0038852.asp

beni commented on 2014-07-24 11:40

I as well had the “Unable to open the initial device, quitting” problem, with CANON IR1730. It works with the cndrvcups-lb-bin AUR package.

xmachina47x commented on 2014-07-24 07:32

Hello,
i had the same problem as pngaudioguy ("Unable to open the initial device, quitting" + "If you can read this , you are using the wrong dirver for your printer") and resolved it the same way: installed the cndrvcups-lb-bin(thankyou pngaudioguy for the hint) also from AUR.
The printers that gave me the heaadaches are Canon mf5940dn and Canon Isensys mf4780w.
Hope this helps someone cause i lost 10 hours with this.